@CLS
@ECHO OFF
@ECHO.
@DEL RESULT.TXT

@echo #### Check All Adapters ####
Megacli -AdpAllInfo -a0 > tmp0.log
Megacli -AdpAllInfo -a1 > tmp1.log
Megacli -AdpAllInfo -a2 > tmp2.log
Megacli -AdpAllInfo -a3 > tmp3.log

:ADP0
CLS
REM @ECHO.
REM @echo #### Check Adapter 0 ####
@ECHO.
find "SubDeviceId     : 1013" tmp0.log > Nul
if errorlevel 1 goto ADP0H
goto ADP0UP

:ADP0H
find "SubDeviceId     : 836e" tmp0.log > Nul
if errorlevel 1 goto ADP1

:ADP0UP
@echo #### Parameter Update ####
@ECHO.
SET adp=0
find "Memory Size     : 128MB" tmp0.log > Nul
if errorlevel 1 goto 256MB0
call para128.bat
goto ADP1

:256MB0
call para256.bat

:ADP1
REM @ECHO.
REM @echo #### Check Adapter 1 ####
@ECHO.
find "SubDeviceId     : 1013" tmp1.log > Nul
if errorlevel 1 goto ADP2

@echo #### Parameter Update ####
@ECHO.
SET adp=1
find "Memory Size     : 128MB" tmp1.log > Nul
if errorlevel 1 goto 256MB1
call para128.bat
goto ADP2

:256MB1
call para256.bat

:ADP2
REM @ECHO.
REM @echo #### Check Adapter 2 ####
@ECHO.
find "SubDeviceId     : 1013" tmp2.log > Nul
if errorlevel 1 goto ADP3

@echo #### Parameter Update ####
@ECHO.
SET adp=2
find "Memory Size     : 128MB" tmp2.log > Nul
if errorlevel 1 goto 256MB2
call para128.bat
goto ADP3

:256MB2
call para256.bat

:ADP3
REM @ECHO.
REM @echo #### Check Adapter 3 ####
@ECHO.
find "SubDeviceId     : 1013" tmp3.log > Nul
if errorlevel 1 goto END

@echo #### Parameter Update ####
@ECHO.
SET adp=3
find "Memory Size     : 128MB" tmp3.log > Nul
if errorlevel 1 goto 256MB3
call para128.bat
goto END

:256MB3
call para256.bat

:END
CLS
@ECHO  ### Update Results ###
@ECHO.
Type RESULT.TXT
@ECHO.
